> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# SetTargetDeposits

> SetTargetDeposits is called by the bidder node to set target deposits per provider
within the deposit manager. During this call, the bidder node will also attempt to top-up
deposits for each new target deposit.



## OpenAPI

````yaml /v1.2.x/api-reference/bidder-openapi-spec.json post /v1/bidder/set_target_deposits
openapi: 3.0.0
info:
  title: Bidder API
  version: 1.2.0-oas3
  license:
    name: Business Source License 1.1
    url: https://github.com/primev/mev-commit/blob/main/LICENSE
servers: []
security: []
paths:
  /v1/bidder/set_target_deposits:
    post:
      summary: SetTargetDeposits
      description: >-
        SetTargetDeposits is called by the bidder node to set target deposits
        per provider

        within the deposit manager. During this call, the bidder node will also
        attempt to top-up

        deposits for each new target deposit.
      operationId: Bidder_SetTargetDeposits
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1SetTargetDepositsRequest'
        description: OverrideTargetDepositsRequest request.
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1SetTargetDepositsResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    v1SetTargetDepositsRequest:
      type: object
      properties:
        targetDeposits:
          type: array
          items:
            $ref: '#/components/schemas/v1TargetDeposit'
      description: OverrideTargetDepositsRequest request.
      title: OverrideTargetDepositsRequest request
    v1SetTargetDepositsResponse:
      type: object
      properties:
        successfullySetDeposits:
          type: array
          items:
            $ref: '#/components/schemas/v1TargetDeposit'
        successfullyToppedUpProviders:
          type: array
          items:
            type: string
      description: OverrideTargetDepositsResponse response.
      title: OverrideTargetDepositsResponse response
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1TargetDeposit:
      type: object
      properties:
        provider:
          type: string
        targetDeposit:
          type: string
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}

````